
b2m	macro	name,nr
name	equ	nr
M_&name	equ	1 shl nr
	endm


TCINIT		equ	00h		;CP/M 3 DEVINI function
TCGETA		equ	01h		;Get the current serial port settings.
TCSETA		equ	02h		;Set the current serial port settings.
TCSETAW		equ	03h		;Allow the output buffer to drain
TCSETAF		equ	04h		;Allow the output buffer to drain, discard pending input
TCSBRK		equ	05h		;Sending a break (250ms .. 500ms)
TCSBRKP		equ	06h		;arg is timeinterval in 0.1sec
TIOCSBRK	equ	07h		;Turn break on
TIOCCBRK	equ	08h		;Turn break off
TCXONC		equ	09h		;Software flow control (TCOOFF, TCOON, TCIOFF, TCION)
TCFLSH		equ	0Ah		;Flush input/output buffer (TCIFLUSH, TCOFLUSH, TCIOFLUSH)
FIONREAD	equ	0Bh		;Get the number of bytes in the input buffer.
TIOCOUTQ	equ	0Ch		;Get the number of bytes in the output buffer.
TIOCMGET	equ	0Dh		;get the status of modem bits.
TIOCMBIS	equ	0Eh		;set the indicated modem bits.
TIOCMBIC	equ	0Fh		;clear the indicated modem bits.
TIOCMSET	equ	10h		;set the status of modem bits.
TIOCGSOFTCAR	equ	11h		;Get the status of the CLOCAL flag in the c_cflag field
TIOCSSOFTCAR	equ	12h		;Set the CLOCAL flag when  *argp  is nonzero, and clear it otherwise.


; iflags bits (0)
	b2m	IGNBRK, 0		;Ignore BREAK condition on input.
	b2m	BRKINT, 1
	b2m	INPCK,	2 		;Enable input parity checking.
	b2m	IGNPAR, 3		;Ignore framing errors and parity errors.
	b2m	PARMRK, 4		;Prefix a character with a parity error or framing error with  FFH  00H.
	b2m	ISTRIP, 5		;Strip off eighth bit.
	b2m	PARODD, 6		;If set, then parity for input and output is odd.
; fflags bits (1)
	b2m	IXON, 	0		;Enable XON/XOFF flow control on output.
	b2m	IXANY,  1		;Typing any character will restart stopped output.
	b2m	IXOFF, 	2		;Enable XON/XOFF flow control on input.
	b2m	CRTS_IFLOW, 3 		;RTS flow control of input.
	b2m	CCTS_OFLOW, 4 		;CTS flow control of output.
	b2m	CLOCAL, 5		;Ignore modem control lines.
	b2m	CREAD,  6		;Enable receiver.


; cflags (2)
M_CBAUD		equ	01Fh		;Baud speed mask
 B0		equ	000h		;hang up
 B50		equ	011h
 B75		equ	012h
 B110		equ	013h
 B134		equ	014h
 B150		equ	005h
 B300		equ	006h
 B600		equ	007h
 B1200		equ	008h
 B1800		equ	009h
 B2400		equ	00Ah
 B3600		equ	00Bh
 B4800		equ	00Ch
 B7200		equ	00Dh
 B9600		equ	00Eh
 B19200		equ	00Fh
 B28800		equ	001h
 B38400		equ	002h
 B57600		equ	003h
 B115200	equ	004h
 B144000	equ	014h
 B192000	equ	016h
 B288000	equ	017h
M_CSIZE		equ	020h		;Character size mask.
 M_CS7		equ	000h		;
 M_CS8		equ	020h		;
 CS8		equ	5		;
	b2m	CSTOPB, 6		;Set two stop bits, rather than one.
	b2m	PARENB, 7		;Enable parity generation on output and parity checking for input.


;    tcflag_t c_lflag;           /* local mode flags */
;ECHO		equ	00000001B


;	Parameter for TCXONC
TCOOFF		equ	0		;suspends output.
TCOON		equ	1		;restarts suspended output.
TCIOFF		equ	2		;transmits  a  STOP  character
TCION		equ	3		;transmits a START character

;	Parameter for TCFLSH
TCIFLUSH	equ	0		;flushes data received but not read.
TCOFLUSH	equ	1		;flushes data written but not transmitted.
TCIOFLUSH	equ	2		;flushes both.

;	modem lines

TIOCM_LE	equ	001h		;DSR (data set ready/line enable)
TIOCM_DTR	equ	002h		;DTR (data terminal ready)
TIOCM_RTS	equ	004h		;RTS (request to send)
TIOCM_CTS	equ	008h		;CTS (clear to send)
TIOCM_CD	equ	010h		;DCD (data carrier detect)
TIOCM_RI	equ	020h		;RNG (ring)
TIOCM_DSR	equ	040h		;DSR (data set ready)
TIOCM_OUT1	equ	080h		;

DC1		equ	011h		; DC1/XON
DC3		equ	013h		; DC3/XOFF
